pandoc-citeproc-0.8: Supports using pandoc with citeproc

Copyright | (C) 2014 John MacFarlane
License | BSD-style (see LICENSE)
Maintainer | John MacFarlane <jgm@berkeley.edu>
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell98

Text.CSL.Parser

Description

Parser for CSL XML files.

Synopsis

- readCSLFile :: Maybe String -> FilePath -> IO Style
- parseCSL :: String -> Style
- parseCSL' :: ByteString -> Style
- parseLocale :: String -> IO Locale
- localizeCSL :: Maybe String -> Style -> IO Style

# Documentation

readCSLFile :: Maybe String -> FilePath -> IO Style

Read and parse a CSL style file into a localized sytle.

parseCSL :: String -> Style

Parse a `String` into a `Style` (with default locale).

parseCSL' :: ByteString -> Style

parseLocale :: String -> IO Locale

Parse locale.

localizeCSL :: Maybe String -> Style -> IO Style

Merge locale into a CSL style.